CVE-2023-47640

CVSS 3.1 Score 6.4 of 10 (medium)

Details

Published Nov 14, 2023
Updated: Nov 22, 2023
CWE ID 327

Summary

CVE-2023-47640 is a vulnerability in DataHub, an open-source metadata platform. It affects various products that utilize the Play LegacyCookiesModule with default settings, which uses a weak SHA1 HMAC for signing. This vulnerability allows an authenticated attacker to crack the signing key and gain escalated privileges by generating a privileged session cookie. Organizations can remediate this vulnerability by updating to the latest helm chart and rotating their session signing secret. The potential danger of this vulnerability lies in the fact that state-level actors with large computational capabilities can brute force the SHA1 HMAC with a 10-byte key and exploit the system.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-47640 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options